This page was not yet optimized for use on mobile devices.
Apple corecrypto Module v11.1 [Intel, User, Software]
Certificate details
| Certificate ID | #4389 |
|---|---|
| Status | active |
| Validation dates | 07.12.2022 |
| Sunset date | 06-12-2027 |
| Standard | FIPS 140-3 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in approved mode |
| Exceptions |
|
| Description | The Apple corecrypto User Space Module for Intel is a software cryptographic module running on a multi-chip standalone hardware device and provides services intended to protect data in transit and at rest. |
| Tested configurations |
|
| Vendor | Apple Inc. http://www.apple.com |
| Lab | atsec information security corporation |
| Algorithms |
|
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES-128, AES-256, AES, AES256, AES-, CAST5, CAST, RC4, RC2, DES, Triple-DES, TDEA, Blowfish, HMAC, HMAC-SHA-256, HMAC-SHA-512, CMACAsymmetric Algorithms
ECDH, ECDSA, EdDSA, ECIES, ECC, DH, Diffie-HellmanHash functions
SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, SHA-3, MD4, MD5, RIPEMD, PBKDFSchemes
MAC, Key AgreementProtocols
TLS v1.0, TLS, TLS 1.2, IKE, IPsecRandomness
DRBGElliptic Curves
P-224, P-256, P-384, P-521, Curve P-192, curve P-192, P-192, Curve25519, Ed25519Block cipher modes
ECB, CBC, CTR, CFB, OFB, GCM, CCM, XTSTrusted Execution Environments
SSCSecurity level
Level 1, level 1Standards
FIPS 140-3, FIPS PUB 140-3, FIPS 197, FIPS 186-4, FIPS 180-4, FIPS 198-1, FIPS186-4, FIPS140-3, FIPS180-4, FIPS197, FIPS198-1, FIPS202, NIST SP 800-140B, SP 800-38A, SP 800-38B, SP 800-38C, SP 800-38D, SP 800-38E, SP 800-38F, SP 800-133, SP 800-67, NIST SP 800-140F, SP 800-90A, NIST SP 800-90B, SP 800-140x, SP 800-140, SP 800-140A, SP 800-140B, SP 800-140C, SP 800-140D, SP 800-140F, PKCS#1, RFC6637, RFC 3526, RFC 5288, RFC 4106, RFC3394, RFC5649, ISO/IEC 24759Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 4389,
"dgst": "93617fe8e8b35100",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"Safe Primes Key GenerationA919",
"#A929",
"SHA2-512/256A930",
"#A927",
"#A923",
"KAS-ECC-SSC Sp800-56Ar3A919",
"KDF SP800-108A930",
"AES-GCMA929",
"HMAC-SHA2-384A930",
"KAS-FFC-SSC Sp800-56Ar3A919",
"AES-KWA925",
"ECDSA KeyGen (FIPS186-4)A930",
"HMAC-SHA2-224A930",
"HMAC-SHA2-512A930",
"ECDSA SigVer (FIPS186-4)A930",
"AES-CTRA929",
"AES-CMACA919",
"#A920",
"#A930",
"HMAC-SHA2-256A930",
"AES-CFB128A925",
"SHA2-512A930",
"#A921",
"#A924",
"RSA KeyGen (FIPS186-4)A930",
"RSA SigVer (FIPS186-4)A930",
"AES-CCMA929",
"ECDSA KeyVer (FIPS186-4)A930",
"HMAC-SHA2-512/256A930",
"AES-CFB8A925",
"HMAC DRBGA930",
"#A919",
"#A926",
"SHA2-384A930",
"#A925",
"#A918",
"AES-OFBA925",
"PBKDFA930",
"HMAC-SHA-1A930",
"#A928",
"AES-ECBA929",
"SHA-1A930",
"SHA2-256A930",
"AES-XTSA927",
"SHA2-224A930",
"AES-CBCA927",
"Counter DRBGA929",
"RSA SigGen (FIPS186-4)A930",
"ECDSA SigGen (FIPS186-4)A930"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"11.1"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 31,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 5
},
"ECDH": {
"ECDH": 2
},
"ECDSA": {
"ECDSA": 31
},
"ECIES": {
"ECIES": 3
},
"EdDSA": {
"EdDSA": 2
}
},
"FF": {
"DH": {
"DH": 12,
"Diffie-Hellman": 12
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 7
},
"CCM": {
"CCM": 4
},
"CFB": {
"CFB": 1
},
"CTR": {
"CTR": 4
},
"ECB": {
"ECB": 6
},
"GCM": {
"GCM": 9
},
"OFB": {
"OFB": 4
},
"XTS": {
"XTS": 6
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"IKE": {
"IKE": 1
},
"IPsec": {
"IPsec": 2
},
"TLS": {
"TLS": {
"TLS": 6,
"TLS 1.2": 1,
"TLS v1.0": 1
}
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 5
},
"MAC": {
"MAC": 7
}
},
"device_model": {},
"ecc_curve": {
"Curve": {
"Curve25519": 5
},
"Edwards": {
"Ed25519": 11
},
"NIST": {
"Curve P-192": 4,
"P-192": 15,
"P-224": 14,
"P-256": 12,
"P-384": 10,
"P-521": 10,
"curve P-192": 3
}
},
"eval_facility": {
"atsec": {
"atsec": 3
}
},
"fips_cert_id": {},
"fips_certlike": {
"Certlike": {
"AES-128": 2,
"AES-256": 3,
"AES256": 1,
"HMAC SHA-256": 1,
"HMAC-256": 2,
"HMAC-SHA-1": 6,
"HMAC-SHA-256": 6,
"HMAC-SHA-512": 2,
"HMAC-SHA256": 6,
"PKCS#1": 16,
"SHA-1": 9,
"SHA-224": 5,
"SHA-256": 12,
"SHA-3": 1,
"SHA-384": 5,
"SHA-512": 7,
"SHA2-256": 1,
"SHA2-384": 1,
"SHA2-512": 1
}
},
"fips_security_level": {
"Level": {
"Level 1": 1,
"level 1": 2
}
},
"hash_function": {
"MD": {
"MD4": {
"MD4": 2
},
"MD5": {
"MD5": 3
}
},
"PBKDF": {
"PBKDF": 15
},
"RIPEMD": {
"RIPEMD": 2
},
"SHA": {
"SHA1": {
"SHA-1": 9
},
"SHA2": {
"SHA-224": 5,
"SHA-256": 12,
"SHA-384": 5,
"SHA-512": 7
},
"SHA3": {
"SHA-3": 1
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 15
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140-3": 59,
"FIPS 180-4": 1,
"FIPS 186-4": 8,
"FIPS 197": 5,
"FIPS 198-1": 1,
"FIPS PUB 140-3": 2,
"FIPS140-3": 1,
"FIPS180-4": 1,
"FIPS186-4": 3,
"FIPS197": 1,
"FIPS198-1": 1,
"FIPS202": 1
},
"ISO": {
"ISO/IEC 24759": 2
},
"NIST": {
"NIST SP 800-140B": 2,
"NIST SP 800-140F": 1,
"NIST SP 800-90B": 1,
"SP 800-133": 3,
"SP 800-140": 1,
"SP 800-140A": 1,
"SP 800-140B": 1,
"SP 800-140C": 1,
"SP 800-140D": 1,
"SP 800-140F": 1,
"SP 800-140x": 1,
"SP 800-38A": 4,
"SP 800-38B": 1,
"SP 800-38C": 2,
"SP 800-38D": 2,
"SP 800-38E": 1,
"SP 800-38F": 1,
"SP 800-67": 1,
"SP 800-90A": 4
},
"PKCS": {
"PKCS#1": 8
},
"RFC": {
"RFC 3526": 1,
"RFC 4106": 1,
"RFC 5288": 1,
"RFC3394": 1,
"RFC5649": 1,
"RFC6637": 2
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 21,
"AES-": 4,
"AES-128": 2,
"AES-256": 3,
"AES256": 1
},
"CAST": {
"CAST": 6,
"CAST5": 2
},
"RC": {
"RC2": 2,
"RC4": 2
}
},
"DES": {
"3DES": {
"TDEA": 1,
"Triple-DES": 4
},
"DES": {
"DES": 3
}
},
"constructions": {
"MAC": {
"CMAC": 4,
"HMAC": 17,
"HMAC-SHA-256": 3,
"HMAC-SHA-512": 1
}
},
"miscellaneous": {
"Blowfish": {
"Blowfish": 2
}
}
},
"tee_name": {
"IBM": {
"SSC": 3
}
},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"Safe Primes Key GenerationA919",
"SHA2-512/256A930",
"KAS-ECC-SSC Sp800-56Ar3A919",
"KDF SP800-108A930",
"AES-GCMA929",
"HMAC-SHA2-384A930",
"KAS-FFC-SSC Sp800-56Ar3A919",
"AES-KWA925",
"ECDSA KeyGen (FIPS186-4)A930",
"HMAC-SHA2-224A930",
"HMAC-SHA2-512A930",
"ECDSA SigVer (FIPS186-4)A930",
"AES-CTRA929",
"AES-CMACA919",
"HMAC-SHA2-256A930",
"AES-CFB128A925",
"SHA2-512A930",
"RSA KeyGen (FIPS186-4)A930",
"RSA SigVer (FIPS186-4)A930",
"AES-CCMA929",
"ECDSA KeyVer (FIPS186-4)A930",
"HMAC-SHA2-512/256A930",
"AES-CFB8A925",
"HMAC DRBGA930",
"SHA2-384A930",
"AES-OFBA925",
"PBKDFA930",
"HMAC-SHA-1A930",
"AES-ECBA929",
"SHA-1A930",
"SHA2-256A930",
"AES-XTSA927",
"SHA2-224A930",
"AES-CBCA927",
"Counter DRBGA929",
"RSA SigGen (FIPS186-4)A930",
"ECDSA SigGen (FIPS186-4)A930"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#A928",
"#A921",
"#A918",
"#A929",
"#A924",
"#A919",
"#A927",
"#A923",
"#A920",
"#A926",
"#A925",
"#A930"
]
},
"policy_metadata": {
"/CreationDate": "D:20221102205041Z00\u002700\u0027",
"/Creator": "Pages",
"/ModDate": "D:20221102205041Z00\u002700\u0027",
"/Producer": "macOS Version 11.5.2 (Build 20G95) Quartz PDFContext",
"/Title": "Apple_Inc_Security_Policy_CC11_for_Intel_User_Space_pages",
"pdf_file_size_bytes": 1242771,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"https://support.apple.com/guide/security/welcome/web",
"http://csrc.nist.gov/publications/nistpubs/800-108/sp800-108.pdf",
"http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.186-4.pdf",
"https://csrc.nist.gov/Projects/cryptographic-module-validation-program/fips-140-3-ig-announcements",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-56Cr2.pdf",
"https://csrc.nist.gov/publications/detail/sp/800-140a/final",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-57pt1r5.pdf",
"http://www.ietf.org/rfc/rfc3447.txt",
"https://csrc.nist.gov/publications/detail/sp/800-140c/final",
"https://csrc.nist.gov/publications/detail/sp/800-140d/final",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-56Br2.pdf",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-38G.pdf",
"http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.202.pdf",
"https://csrc.nist.gov/publications/detail/sp/800-140e/final",
"https://csrc.nist.gov/CSRC/media/Projects/cryptographic-module-validation-program/documents/fips%2520140-3/Draft%2520FIPS-140-3-CMVP%2520Management%2520Manual%252009-18-2020.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-90B.pdf",
"http://www.ietf.org/rfc/rfc5649.txt",
"http://csrc.nist.gov/publications/nistpubs/800-38D/SP-800-38D.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-38E/nist-sp-800-38E.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-132/nist-sp800-132.pdf",
"http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38c.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-131Ar2.pdf",
"http://csrc.nist.gov/publications/fips/fips198-1/FIPS-198-1_final.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-133r2.pdf",
"https://developer.apple.com/macos/",
"http://csrc.nist.gov/publications/fips/fips197/fips-197.pdf",
"https://doi.org/10.6028/NIST.FIPS.140-3",
"http://www.ietf.org/rfc/rfc3394.txt",
"https://csrc.nist.gov/publications/detail/sp/800-140b/final",
"http://csrc.nist.gov/publications/nistpubs/800-67-Rev1/SP-800-67-Rev1.pdf",
"https://support.apple.com/HT201159",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-90Ar1.pdf",
"http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.180-4.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-38a/sp800-38a.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-38B/SP_800-38B.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-56Ar3.pdf",
"http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-135r1.pdf",
"https://csrc.nist.gov/Projects/cryptographic-module-validation-program/fips-140-3-standards",
"https://www.apple.com/legal/intellectual-property/trademark/appletmlist.html",
"https://csrc.nist.gov/publications/detail/sp/800-140f/final",
"https://csrc.nist.gov/publications/detail/sp/800-140/final",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-38F.pdf"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 41
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "7749a22fc1bd7e35a74fca909f7783f3e62658f309417bdec65b4be88e260145",
"source_hash": "c8a879b3d940cc80d5aad473ba85858bd8d51bcf8bfdb879399cfdbc902ce3e8",
"txt_hash": "02aa2e8edae425f18d9293891bb0c7d36946fc3f634797b7f54ff1cd4b19eb31"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in approved mode",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/December 2022_030123_0646_signed.pdf",
"date_sunset": "2027-12-06",
"description": "The Apple corecrypto User Space Module for Intel is a software cryptographic module running on a multi-chip standalone hardware device and provides services intended to protect data in transit and at rest.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical security: N/A",
"Non-invasive security: N/A",
"Mitigation of other attacks: N/A"
],
"fw_versions": null,
"historical_reason": null,
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "Apple corecrypto Module v11.1 [Intel, User, Software]",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-3",
"status": "active",
"sw_versions": "11.1",
"tested_conf": [
"macOS Big Sur 11.0.1 running on iMac Pro with a Xeon W-2140B (Sky Lake) with PAA",
"macOS Big Sur 11.0.1 running on iMac Pro with a Xeon W-2140B (Sky Lake) without PAA",
"macOS Big Sur 11.0.1 running on Mac Pro with a Xeon W-3223 (Cascade Lake) with PAA",
"macOS Big Sur 11.0.1 running on Mac Pro with a Xeon W-3223 (Cascade Lake) without PAA",
"macOS Big Sur 11.0.1 running on MacBook Air with an Intel i5-8210Y (Amber Lake) with PAA",
"macOS Big Sur 11.0.1 running on MacBook Air with an Intel i5-8210Y (Amber Lake) without PAA",
"macOS Big Sur 11.0.1 running on MacBook Air with an Intel i7-1060NG7 (Ice Lake) with PAA",
"macOS Big Sur 11.0.1 running on MacBook Air with an Intel i7-1060NG7 (Ice Lake) without PAA",
"macOS Big Sur 11.0.1 running on MacBook Pro with an Intel i7-8850H (Coffee Lake) with PAA",
"macOS Big Sur 11.0.1 running on MacBook Pro with an Intel i7-8850H (Coffee Lake) without PAA",
"macOS Big Sur 11.0.1 running on MacBook Pro with an Intel i9-9880H (Coffee Lake) with PAA",
"macOS Big Sur 11.0.1 running on MacBook Pro with an Intel i9-9880H (Coffee Lake) without PAA"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2022-12-07",
"lab": "atsec information security corporation",
"validation_type": "Initial"
}
],
"vendor": "Apple Inc.",
"vendor_url": "http://www.apple.com"
}
}